osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[jira] [Created] (FLINK-10843) Make Kafka version definition more flexible for new Kafka table factory


Timo Walther created FLINK-10843:
------------------------------------

             Summary: Make Kafka version definition more flexible for new Kafka table factory
                 Key: FLINK-10843
                 URL: https://issues.apache.org/jira/browse/FLINK-10843
             Project: Flink
          Issue Type: Bug
          Components: Kafka Connector, Table API & SQL
            Reporter: Timo Walther
            Assignee: Timo Walther


Currently, a user has to specify a specific version for a Kafka connector like:

{code}
connector:
  type: kafka
  version: "0.11"     # required: valid connector versions are "0.8", "0.9", "0.10", and "0.11"
  topic: ...          # required: topic name from which the table is read
{code}

However, the new Kafka connector aims to be universal, thus, at least for 1.x and 2.x versions which we should support those as parameters as well. Currently, {{2.0}} is the only accepted string for the factory.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)